RDKit: ForceFields::MMFF::MMFFStbnCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ForceFields::MMFF::MMFFStbnCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const std::pair< bool, const MMFFStbn * > | getMMFFStbnParams (const unsigned int stretchBendType, const unsigned int bondType1, const unsigned int bondType2, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFStbnCollection * | getMMFFStbn (const std::string &mmffStbn="")
| gets a pointer to the singleton MMFFStbnCollection More...

## Detailed Description

Definition at line 879 of file MMFF/Params.h.

## Member Function Documentation

static MMFFStbnCollection* ForceFields::MMFF::MMFFStbnCollection::getMMFFStbn | ( | const std::string & | mmffStbn = `""` | ) |
| static

gets a pointer to the singleton MMFFStbnCollection

Parameters

  mmffStbn | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFStbnCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFStbnCollection has already been instantiated and `mmffStbn` is empty, the singleton will be returned.
- if `mmffStbn` is empty and the singleton MMFFStbnCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffStbn` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const std::pair<bool, const MMFFStbn *> ForceFields::MMFF::MMFFStbnCollection::getMMFFStbnParams | ( | const unsigned int | stretchBendType,
|  | const unsigned int | bondType1,
|  | const unsigned int | bondType2,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType
| ) |  |
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFStbn object, NULL on failure.

Definition at line 903 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h